<div class="login-container" fxLayout="column" fxLayoutAlign="center center">
  <div class="box border-box padding-box" fxLayout="column" fxLayoutAlign="space-around center">

    <img class="logo" alt="logo" src="../../../../assets/images/logo_ce.svg">

    <span style="font-size: 24px;">Login</span>

    <form [formGroup]="loginForm">
      <mat-form-field class="d-block" appearance="outline">
        <mat-label>Username</mat-label>
        <input autofocus matInput type="text" formControlName="username">
      </mat-form-field>
      <mat-form-field class="d-block" appearance="outline">
        <mat-label>Password</mat-label>
<!--        <input (keyup.enter)="submit()" matInput type="password" formControlName="password">-->
<!--        BLOCCATO KEYUP PER LO STESSO MOTIVO DEL CHANGE PASSWORD -->
        <input matInput type="password" formControlName="password">
      </mat-form-field>
      <a class="link" routerLink="/auth/forgot-password"><span class="font-weight-bold">Password lost?</span></a>

      <div class="mt-5" fxLayout="row" fxLayoutAlign="space-between center">
        <a class="link" style="font-size: 14px;" routerLink="/auth/register"><span class="font-weight-bold">Sign Up</span></a>
        <button mat-flat-button color="warn" type="submit" (click)="submit()" [disabled]="loginForm.invalid"><span class="font-weight-bold">Login</span></button>
      </div>

<!--      <div class="mt-3 text-center">-->
<!--        <div class="mb-3">Or sign in with</div>-->
<!--        <fa-icon [icon]="faGoogle" (click)="googleSignIn()" class="pointer" style="color: #e93128; font-size: 1.75rem;"></fa-icon>-->
<!--      </div>-->
    </form>
  </div>
</div>
